List
curl --request GET \
--url https://api.paygentic.io/v0/billableMetrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/billableMetrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/billableMetrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "bm_w9x0y1z2a3b4c5d6",
"object": "billableMetric",
"aggregation": "SUM",
"createdAt": "2024-01-15T10:30:00Z",
"description": "Total tokens consumed by Claude language model interactions",
"merchantId": "org_e7f8g9h0i1j2k3l4",
"name": "Claude Tokens",
"productId": "prod_m5n6o7p8q9r0s1t2",
"unit": "tokens",
"updatedAt": "2024-01-15T10:30:00Z"
},
{
"id": "bm_a1b2c3d4e5f6g7h8",
"object": "billableMetric",
"aggregation": "SUM",
"createdAt": "2024-02-01T14:45:30Z",
"description": "Gigabytes of cloud storage utilized",
"merchantId": "org_e7f8g9h0i1j2k3l4",
"name": "Storage Capacity",
"productId": "prod_m5n6o7p8q9r0s1t2",
"unit": "GB",
"updatedAt": "2024-02-15T09:20:00Z"
}
],
"pagination": {
"limit": 10,
"offset": 0,
"total": 2
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Billable Metrics
List
GET
/
v0
/
billableMetrics
List
Authorizations
API key authentication
Query Parameters
Number of billable metrics to return.
Required range:
1 <= x <= 100Filter billable metrics by merchant organization ID. Unique identifier for an organization
Pattern:
^org_[a-zA-Z0-9]+$Number of billable metrics to skip.
Required range:
x >= 0Filter billable metrics by product ID. Unique identifier for a product
Pattern:
^prod_[a-zA-Z0-9]+$Was this page helpful?
⌘I